#ifndef COMMANDS_H
#define COMMANDS_H

#include "utils.h"

/* Afiseaza pe lcd data trimisa ca parametru cu toate campurile. */
void print_date(Ds1302::DateTime &dt);
 
/* Printeaza un deadline-ul care are indexul primit ca parametru in array-ul dts */
void print_deadline(int index);
 
/* Functia intoarce urmatorul index al unei date valide din cadrul array-ului dts dupa 
 * indexul dat ca parametru
 */
int next_index(int index);
 
/* Functia intoarce indexul unei date valide din cadrul array-ului dts anterior intexului
 * dat ca parametru
 */
int prev_index(int index);
 
/* Functie care face update sau sterge un deadline cu indexul primit ca parametru, in functie 
 * de butonul apasat de utilizator 
 */
void update_or_delete(int *index);
 
/* Functie care listeaza deadline-urile pe rand, cu posibilitatea iterarii prin acestea prin 
 * apasarea butoanelor NEXT sau PREV. Se iese din functie in momentul apasarii butonului MENU.
 */
void list();
 
/* Functie care adauga un nou deadline prin introducerea datei si a materiei interfatate 
 * prin butoane si lcd 
 */
void add();
 
/* Functie care afiseaza meniul cu comenzile ADD si LIST si asteapta input din partea utilizatorului.
 * Prin apasarea butonul NEXT se apeleaza functia list(), iar prin apasarea butonului PREV se 
 * apeleaza functia add(). Se iese din functie la apasarea butonului MENU.
 */
void display_menu();

#endif
